From 26c83e324897e3dc2483b88b8f3130be50e26099 Mon Sep 17 00:00:00 2001
From: =?utf8?q?Michael=20B=C3=BCsch?= <mb@bu3sch.de>
Date: Sun, 6 Mar 2011 10:40:04 +0000
Subject: [PATCH] omap24xx: Start watchdog with RT priority

SVN-Revision: 25882
---
 target/linux/omap24xx/base-files/etc/init.d/watchdog | 12 +++++++-----
 target/linux/omap24xx/profiles/100-n810.mk           |  3 ++-
 2 files changed, 9 insertions(+), 6 deletions(-)

diff --git a/target/linux/omap24xx/base-files/etc/init.d/watchdog b/target/linux/omap24xx/base-files/etc/init.d/watchdog
index fa5dc4365a..d1ad1a1752 100755
--- a/target/linux/omap24xx/base-files/etc/init.d/watchdog
+++ b/target/linux/omap24xx/base-files/etc/init.d/watchdog
@@ -1,13 +1,15 @@
 #!/bin/sh /etc/rc.common
 # Copyright (C) 2008-2010 OpenWrt.org
 
-START=97
+START=25
+
 start() {
-	if ! [ -c /dev/watchdog -a -x /sbin/watchdog ]; then
+	[ -c /dev/watchdog -a -x /sbin/watchdog ] || {
 		echo "WARNING: Watchdog not available. System will reboot soon!"
-	else
-		/sbin/watchdog -T 63 -t 53 /dev/watchdog
-	fi
+		return 1
+	}
+	/sbin/watchdog -T 60 -t 50 /dev/watchdog
+	[ -x /usr/bin/schedtool ] && /usr/bin/schedtool -R -p 60 -n -20 $(pidof watchdog)
 }
 
 stop() {
diff --git a/target/linux/omap24xx/profiles/100-n810.mk b/target/linux/omap24xx/profiles/100-n810.mk
index 38c3749f02..648b9e3981 100644
--- a/target/linux/omap24xx/profiles/100-n810.mk
+++ b/target/linux/omap24xx/profiles/100-n810.mk
@@ -17,7 +17,8 @@ define Profile/n810-base
 	kmod-input-evdev \
 	kmod-leds-gpio \
 	kmod-usb-tahvo kmod-usb-eth-gadget kmod-usb-net kmod-usb-net-cdc-ether \
-	kmod-n810bm maemo-kexec calvaria
+	kmod-n810bm maemo-kexec calvaria \
+	schedtool
 endef
 
 define Profile/n810-base/Description
-- 
2.30.2